Skip to content
Proud to collaborate with Microsoft for Startups

canvas.courses.search-for-content-share-users ​

Returns a paginated list of users you can share content with. Requires the content share feature and the user must have the manage content permission for the course.

Search for content share users

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-canvas
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Canvas API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
course_idstringYes—ID
search_termstringYes—Term used to find users. Will search available share users with the search term in their name.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Canvas API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
course_idstringYes—ID
search_termstringYes—Term used to find users. Will search available share users with the search term in their name.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v1/courses/{course_id}/content_share_users
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v1/courses/{course_id}/content_share_users
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "canvas.courses.search-for-content-share-users",
  "initial_data": {
    "base_url": "value",
    "course_id": "value",
    "search_term": "value"
  }
}